Restore Points - Get

復元ポイントを取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/restorePoints/{restorePointName}?api-version=2025-01-01

URI パラメーター

名前 / 必須 説明
databaseName
path True

string

データベースの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

restorePointName
path True

string

復元ポイントの名前。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

RestorePoint

Azureの運用は無事に完了しました。

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Gets a database restore point.
Gets a datawarehouse database restore point.

Gets a database restore point.

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000?api-version=2025-01-01

応答のサンプル

{
  "name": "ContinuousRestorePoint",
  "type": "Microsoft.Sql/servers/databases/restorePoints",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/ContinuousRestorePoint",
  "location": "japaneast",
  "properties": {
    "earliestRestoreDate": "2017-03-10T08:00:00Z",
    "restorePointType": "CONTINUOUS"
  }
}

Gets a datawarehouse database restore point.

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000?api-version=2025-01-01

応答のサンプル

{
  "name": "131546477590000000",
  "type": "Microsoft.Sql/servers/databases/restorePoints",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000",
  "location": "japaneast",
  "properties": {
    "restorePointCreationDate": "2017-03-10T08:00:00Z",
    "restorePointLabel": "mylabel",
    "restorePointType": "DISCRETE"
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

RestorePoint

データベースの復元ポイント。

RestorePointType

復元ポイントの種類

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

RestorePoint

データベースの復元ポイント。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

リソースの場所。

name

string

リソースの名前

properties.earliestRestoreDate

string (date-time)

このデータベースを復元できる最も早い時刻

properties.restorePointCreationDate

string (date-time)

バックアップが作成された時刻

properties.restorePointLabel

string

ユーザーによるバックアップ要求の復元ポイントのラベル

properties.restorePointType

RestorePointType

復元ポイントの種類

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

RestorePointType

復元ポイントの種類

説明
CONTINUOUS

連続

DISCRETE

離散

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。